Support » Plugin: Widget for Google Reviews » Deprecated code

  • Resolved eclev91

    (@eclev91)


    Deprecated: Function create_function() is deprecated in ...plugins/widget-google-reviews/grw.php on line 62

    Should be cleaned up.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author richplugins

    (@richplugins)

    Hi @eclev91,

    Seems, you’re using the old version of the plugin, please check this, the latest version is 1.9.1.

    Currently the plugin doesn’t have any lines with the ‘create_function’ code and on the line 62 there’s another code:

    Thanks!

    • This reply was modified 3 months, 2 weeks ago by richplugins.
    Thread Starter eclev91

    (@eclev91)

    Hey @richplugins, you’re totally right. This could be causing a collection of issues.

    The problem is I’m pulling in my dependencies via Composer and WPackagist. At some point, you changed how you were tagging releases. Rather than 1.4.2, you had tagged 1.42, but then eventually tagged 1.5, and then 1.5.1 and so on. 1.42 is technically a newer release than 1.9.1, and would get a patch release of 1.42.1.

    I’ll update my dependencies to 1.9.x, which should get me the right version, but technically you would need to release 1.50 to be properly continuing along. If you end up needing to release a 2.0 at some point, that’ll also clear it up, heh.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.